// Vector.h: interface for the CVector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VECTOR_H__9AD62FA1_C1E7_11D2_BE0A_0020781069DC__INCLUDED_)
#define AFX_VECTOR_H__9AD62FA1_C1E7_11D2_BE0A_0020781069DC__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define FACEFRONT 0
#define FACETOP 1
#define FACELEFT 2
#define FACEBACK 3
#define FACEBOTTOM 4
#define FACERIGHT 5

class CVector  
{
public:
	void Normalize();
	int View();
	void Serialize(CArchive& ar);
	void Set(CVertex vertex);
	CVector();
	virtual ~CVector();
	double GetZ();
	double GetY();
	double GetX();
	double GetUZ();
	double GetUY();
	double GetUX();
	void Set(double x,double y,double z);
	double uZ;
	double uY;
	double uX;
	double length;
	double Z;
	double Y;
	double X;
protected:

};

#endif // !defined(AFX_VECTOR_H__9AD62FA1_C1E7_11D2_BE0A_0020781069DC__INCLUDED_)
