//********************************************************************
//
//	Copyright 2000 Trancer Software Inc.
//
//	$Header: /FS Design Studio/FSDS SDK/Plugin.h 1     3/12/00 12:38p Tomg $
//
//	File Name:	PlugIn.h
//
//	Description:
//		Required include file for creating FS Design Studio plugins
//
//		
//********************************************************************

#include "Vertex.h"
#include "Polygon.h"
#include "Vector.h"
#include "FSObject.h"
#include "3dEngine.h"
#include "FSBitmap.h"

// Valid return values for ExecutePlugin function
enum 
{
	PLUGIN_FAILED,
	PLUGIN_RELOAD,
	PLUGIN_SKIP
};

// Function prototypes
void LoadFSC(CFSObject *piobject,CString fname = "fsplugin.fsc");
void StoreFSC(CFSObject *piobject,CString fname = "fsplugin.fsc");
